sh build-wasm.sh || exit 1

mkdir -p target/itchio/wasm/target
mkdir -p target/itchio/wasm/assets

cp assets/* target/itchio/wasm/assets/
cp index.html target/itchio/wasm/
cp target/lux-synthese.js target/itchio/wasm/target/
cp target/lux-synthese_bg.wasm target/itchio/wasm/target/
jq -c < assets/game.levels.json > target/itchio/wasm/assets/game.levels.json

cd target/itchio/wasm
zip -r ../wasm.zip .
